[Pkg-ruby-extras-maintainers] r319 - in packages/librmagick-ruby/trunk/debian: . patches

Lucas Nussbaum lucas-guest at costa.debian.org
Mon Jan 30 08:46:56 UTC 2006


Author: lucas-guest
Date: 2006-01-30 08:46:55 +0000 (Mon, 30 Jan 2006)
New Revision: 319

Added:
   packages/librmagick-ruby/trunk/debian/patches/
   packages/librmagick-ruby/trunk/debian/patches/fail-on-doc-failure.dpatch
   packages/librmagick-ruby/trunk/debian/patches/pkg-config.dpatch
Modified:
   packages/librmagick-ruby/trunk/debian/changelog
   packages/librmagick-ruby/trunk/debian/rules
Log:
now uses dpatch. now uses pkg-config instead of MagickCofnig

Modified: packages/librmagick-ruby/trunk/debian/changelog
===================================================================
--- packages/librmagick-ruby/trunk/debian/changelog	2006-01-27 09:15:11 UTC (rev 318)
+++ packages/librmagick-ruby/trunk/debian/changelog	2006-01-30 08:46:55 UTC (rev 319)
@@ -1,9 +1,10 @@
 librmagick-ruby (1.10.0-1) unstable; urgency=low
 
   * New upstream release.
-  * Removed dependancy on libdps1 after rebuilt (closes: #347401).
+  * To avoid introducing spurious dependencies, use "pkg-config" rather than
+    "Magick-config". (closes: #347401).
   * New maintainer (closes: #349798).
-  * Now uses cdbs.
+  * Now uses cdbs and dpatch.
 
  -- Lucas Nussbaum <lucas at lucas-nussbaum.net>  Fri, 27 Jan 2006 09:42:35 +0100
 

Added: packages/librmagick-ruby/trunk/debian/patches/fail-on-doc-failure.dpatch
===================================================================
--- packages/librmagick-ruby/trunk/debian/patches/fail-on-doc-failure.dpatch	2006-01-27 09:15:11 UTC (rev 318)
+++ packages/librmagick-ruby/trunk/debian/patches/fail-on-doc-failure.dpatch	2006-01-30 08:46:55 UTC (rev 319)
@@ -0,0 +1,29 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## fail-on-doc-failure.dpatch by  <lucas at lucas-nussbaum.net>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Be more pedantic than upstream regarding documentation generation
+## DP: failures.
+
+ at DPATCH@
+diff -urNad trunk~/post-setup.rb trunk/post-setup.rb
+--- trunk~/post-setup.rb	2004-03-04 01:41:55.000000000 +0100
++++ trunk/post-setup.rb	2006-01-30 09:45:32.000000000 +0100
+@@ -82,7 +82,7 @@
+     if $? != 0 then
+       puts("post-setup.rb: #{example} example returned error code #{$?}")
+       @errs += 1 unless ALLOW_EXAMPLE_ERRORS
+-      if @errs > 4
++      if @errs > 0
+          err(<<-END_EXFAIL
+             Too many examples failed. The RMagick documentation cannot be installed
+             successfully. Consult the README.txt file and try again, or send email
+@@ -109,7 +109,7 @@
+   #
+   def err(msg)
+       $stderr.puts "#{$0}: #{msg}"
+-      exit
++      exit(1)
+   end
+ 
+ end


Property changes on: packages/librmagick-ruby/trunk/debian/patches/fail-on-doc-failure.dpatch
___________________________________________________________________
Name: svn:executable
   + *

Added: packages/librmagick-ruby/trunk/debian/patches/pkg-config.dpatch
===================================================================
--- packages/librmagick-ruby/trunk/debian/patches/pkg-config.dpatch	2006-01-27 09:15:11 UTC (rev 318)
+++ packages/librmagick-ruby/trunk/debian/patches/pkg-config.dpatch	2006-01-30 08:46:55 UTC (rev 319)
@@ -0,0 +1,30 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## pkg-config.dpatch by  <lucas at lucas-nussbaum.net>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Use pkg-config instead of MagickConfig (see bug 347401)
+
+ at DPATCH@
+diff -urNad trunk~/ext/RMagick/extconf.rb.in trunk/ext/RMagick/extconf.rb.in
+--- trunk~/ext/RMagick/extconf.rb.in	2005-05-06 02:28:41.000000000 +0200
++++ trunk/ext/RMagick/extconf.rb.in	2006-01-30 09:41:38.000000000 +0100
+@@ -6,8 +6,8 @@
+ # Pass along Ruby's version number
+ VERSION_NUMBER = '0x'+RUBY_VERSION.tr('.','')
+ 
+-$CFLAGS = "-Wall -g @CFLAGS@"
+-$CPPFLAGS = "-DRUBY_VERSION=#{VERSION_NUMBER} @CPPFLAGS@"
++$CFLAGS = "-Wall -g " + `pkg-config --cflags ImageMagick`.chomp
++$CPPFLAGS = "-DRUBY_VERSION=#{VERSION_NUMBER}"
+ 
+ if RUBY_VERSION >= '1.8.0'
+     $DLDFLAGS = "@LDFLAGS@"
+@@ -15,7 +15,7 @@
+     $LDFLAGS = "@LDFLAGS@"
+ end
+ 
+-$LOCAL_LIBS = "@LOCAL_LIBS@"
++$LOCAL_LIBS = `pkg-config --libs ImageMagick`.chomp
+ 
+ create_makefile("RMagick")
+ 


Property changes on: packages/librmagick-ruby/trunk/debian/patches/pkg-config.dpatch
___________________________________________________________________
Name: svn:executable
   + *

Modified: packages/librmagick-ruby/trunk/debian/rules
===================================================================
--- packages/librmagick-ruby/trunk/debian/rules	2006-01-27 09:15:11 UTC (rev 318)
+++ packages/librmagick-ruby/trunk/debian/rules	2006-01-30 08:46:55 UTC (rev 319)
@@ -5,7 +5,11 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/ruby-pkg-tools/1/rules/uploaders.mk
+include /usr/share/cdbs/1/rules/dpatch.mk
 
+# see bug #284231
+unpatch:: deapply-dpatches
+
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)




More information about the pkg-ruby-extras-maintainers mailing list